%define name smeserver-postfix
%define version 1.0
%define release 3
Summary: This is what smeserver-postfix does.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: %{name}-%{version}.tar.gz
License: GNU GPL version 2
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 10.0
Requires: postfix 
Requires: postfix-perl-scripts
Requires: postfix-pcre
Requires: zsh
AutoReqProv: no

%description
Koozali SME Server wrapper to configure postfix

%changelog
* Tue Nov 19 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.0-3.sme
- add requirements [SME: 12737]
- add conf-postfix

* Sun Nov 17 2024 <jpp@koozali.org> 1.0-2.sme
- listen only via sockets
- use both unix user and virtual users
- groups and pseudonyms implemented in virtual maps
- support smarthost with and without auth
- support global and per domain delegated mail server
- support ssl
- uses qmail - recipient delimiter in left part of email.
- all domains set as local domains in mydestination
- message_size_limit 
- local and remote concurency limit

* Tue Oct 15 2024 <jpp@koozali.org> 1.0-1.sme
- Initial code - create RPM [SME: 12737]
  templates from Stefano Zamboni

%prep

%setup -q

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --file /sbin/e-smith/systemd/postfix-reload 'attr(750,root,root)' \
  --file /sbin/e-smith/systemd/postfix-pre 'attr(750,root,root)' \
> %{name}-%{version}-filelist
#echo "%doc COPYING"  >> %{name}-%{version}-filelist
#--dir <dir> 'attr(755,user,grp)' \
#--file <file> 'attr(755,root,root)' \

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post

%postun
#uninstall
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
